Skip to main content
`Ctrl`+`K`

# PetscDrawGetCurrentPoint

Gets the current draw point, some codes use this point to determine where to draw next

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawGetCurrentPoint(PetscDraw draw, PetscReal *x, PetscReal *y)

Not Collective

## Input Parameter

- draw - the drawing context

## Output Parameters

- x - horizontal coordinate of the current point

- y - vertical coordinate of the current point

## See Also

`PetscDraw`, `PetscDrawPushCurrentPoint()`, `PetscDrawPopCurrentPoint()`, `PetscDrawSetCurrentPoint()`

## Level

intermediate

## Location

src/sys/classes/draw/interface/dline.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages